<?php

namespace App\Http\Controllers;

class LogCpanel
{
	private $ubi_creacion;
	private $name_file;
	
	function __construct($ruc){
		$this->ubi_creacion='../log_creation/';
		//$this->ubi_creacion='C:\wamp64\www\wsCreadorSistemaTPV\log_creation\ ';
		$this->name_file=$ruc . '.txt';
	}
	
	public function edit_log_success($fase){
		if (file_exists($this->ubi_creacion . $this->name_file)){
			$archivo = fopen($this->ubi_creacion . $this->name_file, "a");
			fwrite($archivo,$fase . ': OK'. PHP_EOL);
			fclose($archivo);
		}else{
			$archivo = fopen($this->ubi_creacion . $this->name_file, "w");
			fwrite($archivo,'------------------------------------'. PHP_EOL);
			fwrite($archivo,$fase  . ': OK' . PHP_EOL);
			fclose($archivo);
		}
	}
	
	public function edit_log_error($fase, $data){
		if (file_exists($this->ubi_creacion . $this->name_file)){
			$archivo = fopen($this->ubi_creacion . $this->name_file, "a");
			fwrite($archivo,$fase .': ERROR - ' . $data . PHP_EOL);
			fclose($archivo);
		}else{
			$archivo = fopen($this->ubi_creacion . $this->name_file, "w");
			fwrite($archivo,'------------------------------------'. PHP_EOL);
			fwrite($archivo,$fase .': ERROR - ' . $data  . PHP_EOL);
			fclose($archivo);
		}
	}
	
}